/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '@plateg/theme/styles/plateg-variables.less';

.search-modal {
  width: 60vw !important;
  height: 100vh;
  top: 0;
  margin-right: 0;
  @media screen and (max-width: 1300px) {
    width: 80vw !important;
  }
  @media screen and (max-width: 950px) {
    width: 100vw !important;
  }
}
// init loading styles
.search-modal-content_initial-loading {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 8vh;
  .inner-content {
    text-align: center;
    max-width: 680px;
    .search-title {
      font-size: 3.6rem;
      margin-bottom: 2vh;
    }
    .info-text {
      font-size: 1.8rem;
      line-height: 26px;
    }
    .image {
      max-height: 260px;
    }
  }
}
// active search styles
.search-modal-content_active-search {
  display: flex;
  flex-direction: column;
  align-items: center;
  .inner-content {
    text-align: left;
    .search-title {
      font-size: 2rem;
      line-height: 32px;
      margin-top: 8px !important;
      margin-bottom: 16px;
    }
    .info-text {
      max-width: 615px;
      font-size: 1.6rem;
      line-height: 24px;
    }
    .results-title {
      font-size: 1.8rem;
      font-weight: 500;
      margin-bottom: 23px;
    }
    .ant-tabs-tab-btn {
      font-size: 1.6rem;
    }
    .ant-tabs-nav-wrap {
      border-bottom: 1px solid @platform-blue3;
    }
  }
}

.search-input-container {
  max-width: 680px;
  margin-top: 5vh;
  > span > span {
    height: 48px;
  }
  margin-bottom: 9vh;
  .ant-btn-lg {
    height: 48px;
  }
  .suffix-reset-search_world {
    span {
      text-decoration: underline;
    }
    &:hover,
    &:focus {
      span {
        color: #fff;
      }
    }
  }
}

.search-tab-content {
  padding-top: 16px;
  .div-upto_date_note {
    margin-bottom: 32px;
    background-color: #f2f4fd;
    padding: 16px;
    padding-right: 25%;
    font-size: 1.6rem;
    line-height: 24px;
    .title {
      line-height: 26px;
      font-weight: 500;
      display: block;
      margin-bottom: 6px;
    }
  }
  // header
  .header-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    .div-select-holder {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      .div-filter_bib {
        margin-right: 8px;
      }
      .ant-select-arrow {
        padding-top: 6px;
      }
    }
    .label-result {
      display: inline-block;
      padding-top: 34px;
      font-size: 1.6rem;
      font-weight: 500;
    }
    padding-bottom: 18px;
    border-bottom: 1px solid @platform-blue3;
  }
  .label-select {
    font-size: 1.4rem;
    font-weight: 500;
  }
  .ant-select-selector {
    height: 32px !important;
    border: 1px solid @platform-blue2;
    box-shadow: none;
    width: 240px !important;
    .ant-select-selection-item,
    .ant-select-selection-placeholder {
      line-height: 32px !important;
      font-size: 1.4rem !important;
      color: @platform-text-color !important;
    }
  }
  // body
  .body-content {
    .content-no_result {
      padding-top: 55px;
      text-align: center;
      .image {
        margin-bottom: 28px;
        max-height: 260px;
      }
      .text-1 {
        font-size: 2rem;
        font-weight: 600;
      }
      .text-2 {
        display: inline-block;
        margin-top: 8px;
        font-size: 1.8rem;
        font-weight: 400;
        margin-bottom: 24px;
      }
    }
  }
}

.ant-select-item-option-content {
  font-size: 1.4rem !important;
  text-decoration: none !important;
}

.search-tabs-main {
  width: 680px;
  .ant-tabs-tab:first-child {
    margin-left: 0 !important;
  }
  .ant-tabs-ink-bar {
    background: @platfrom-blue1;
  }
  .ant-tabs-tab {
    margin: 0 0 0 36px;
  }
}

.search-result-item {
  margin-top: 24px;
  padding-bottom: 24px;
  margin-bottom: 24px;
  border-bottom: 1px solid @platform-blue3;
  .breadcrumb {
    font-size: 1.6rem;
    font-weight: 400;
  }
  .title {
    padding: 8px 0;
    display: inline-block;
    font-size: 2rem;
    color: @platfrom-blue1;
    font-weight: 500;
    text-decoration: none;
    &.link {
      &:hover,
      &:active,
      &:focus {
        color: #fff;
        padding: 8px 4px;
      }
    }
  }
  .description {
    display: block;
    font-size: 1.6rem;
    line-height: 24px;
    margin-bottom: 13px;
  }
}

.page_number-content {
  padding-bottom: 30px;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  .image-arrow {
    margin-bottom: 2px;
    &:hover {
      cursor: pointer;
    }
  }
  text-align: center;
  .btn-page_number {
    display: inline-block;
    &:hover {
      cursor: pointer;
    }
    margin-right: 4px;
    > span {
      font-size: 1.6rem;
    }
    padding: 0 4px;
    width: 22px;
    font-weight: 500;
    text-align: center;
    border-bottom: 1px solid white;
    &.selected {
      > span {
        color: @platform-blue2;
      }
      border-bottom: 1px solid @platform-blue2;
    }
  }
}
